# SQLChain Class Reference
[Dynamic query builder]

Inheritance diagram for SQLChain:
[legend]

List of all members.

## Public Member Functions

| getSize ()
| getChain ()
| getLogic ()
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toDialectString (Dialect $dialect)

## Protected Member Functions

| exp (DialectString $exp, $logic)

## Protected Attributes

| $chain = array()
| $logic = array()

## Detailed Description

Definition at line 15 of file SQLChain.class.php.

## Member Function Documentation

SQLChain::exp | ( | DialectString $ | exp,
|  | $ | logic |
| ) |  |  | `[protected]`

Returns:
  SQLChain

Definition at line 23 of file SQLChain.class.php.

References $logic.

Referenced by QueryChain::except(), QueryChain::exceptAll(), LogicalChain::expAnd(), LogicalChain::expOr(), QueryChain::intersect(), QueryChain::intersectAll(), QueryChain::union(), and QueryChain::unionAll().

SQLChain::getChain | ( |  | ) |

Definition at line 36 of file SQLChain.class.php.

SQLChain::getLogic | ( |  | ) |

Definition at line 41 of file SQLChain.class.php.

SQLChain::getSize | ( |  | ) |

Definition at line 31 of file SQLChain.class.php.

SQLChain::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 67 of file SQLChain.class.php.

SQLChain::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  SQLChain

Implements MappableObject.

Definition at line 49 of file SQLChain.class.php.

References $chain, ProtoDAO::guessAtom(), and Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

SQLChain::$chain = array()`[protected]`

Definition at line 17 of file SQLChain.class.php.

Referenced by LogicalChain::toBoolean(), and toMapped().

SQLChain::$logic = array()`[protected]`

Definition at line 18 of file SQLChain.class.php.

Referenced by QueryChain::block(), LogicalChain::block(), LogicalChain::calculateBoolean(), and exp().

The documentation for this class was generated from the following file:

- core/OSQL/SQLChain.class.php